Client Downloads

From distributed.net

distributed.net Client Downloads

[Acorn RISC OS] [AIX] [AmigaOS] [BeOS] [BSD/OS] [FreeBSD] [HPUX] [Linux] [Mac OS X/Darwin] [MorphOS] [NetBSD] [NetWare Server] [NeXT/OS] [OpenBSD] [OS/2] [PC-DOS, MS-DOS] [QNX] [SCO UNIX] [SGI IRIX] [Solaris/SunOS] [Tru64 UNIX / DEC UNIX / OSF1] [VMS] [Windows 3.x 16bit] [Windows 32bit] [Windows 64bit]

important note

This is the official listing of distributed.net clients. They have been tested to be functioning correctly. The binaries listed here are the ONLY ones you should be using. Trojan horses and other perverted versions have been known to have been circulated. Please do not make attempts to mirror or redistribute the client binaries, either via your own web/ftp server or other means. If you wish to provide a convenient method for your visitors to download clients, please provide a link to it on our FTP site or (preferably) to this page. distributed.net has set policies & terms of use regarding these clients. Please read them. Downloading and installing the client on any machine implies understanding and agreement with these terms.

attention

RC5-72 is now actively running for clients of version v2.9008 or higher. OGR-27 is now running for clients of version v2.9103 or higher. For questions about RC5-72, please be sure to check the frequently asked RC5-72 questions for your answer first. Additional questions may be sent to help@distributed.net or email support form.

Download links

Windows 32bit
1[x86/Stream]v2.9110.519 2013-07-24  http | ftp 
2[x86/OpenCL]v2.9111.520 2013-07-24  http | ftp 
 [x86/Zipped]v2.9110.519b 2012-01-27  http | ftp 
3[x86/CUDA-3.1]v2.9110.519b 2012-01-27  http | ftp 
4[x86/Installer]v2.9109.518 2011-03-11  http | ftp 
5[x86/CUDA-2.2]v2.9107.516 2010-06-28  http | ftp 
1. AMD/ATI Stream video card accelerated client. RC5-72 only. Stream drivers must be pre-installed.
2. OpenCL supported video cards (nVidia and AMD/ATI)
3. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
4. MSI-based Windows Installer. See <a href="http://faq.distributed.net/?file=283">our MSI FAQ</a>.
5. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
Windows 3.x 16bit
 [x86]v2.9005.483 2003-05-04  http | ftp 
Windows 64bit
6[AMD64]v2.9111.520 2014-02-05  http | ftp 
6. Native 64-bit. Requires x64 edition of Win2k3/WinXP/Vista/Win7/Win8.
PC-DOS, MS-DOS
7[x86]v2.9109.518 2011-03-11  http | ftp 
7. no networking support
Mac OS X/Darwin
8[AMD64]v2.9111.520a 2014-09-09  http | ftp 
9[AMD64/CUDA]v2.9111.520a 2014-09-09  http | ftp 
10[x86]v2.9111.520a 2014-09-09  http | ftp 
11[Universal]v2.9110.519 2013-07-24  http | ftp 
12[PPC]v2.9111.520 2013-07-24  http | ftp 
13[x86/CUDA-3.1]v2.9109.518 2011-03-11  http | ftp 
14[x86/CUDA-3.0]v2.9108.517 2010-11-10  http | ftp 
13[x86/CUDA-2.2]v2.9107.516 2010-06-28  http | ftp 
8. 64-bit. Mac OS X 10.7 or higher only.
9. nVidia CUDA video card accelerated client. RC5-72 only. CUDA 5.5, OS X 10.7+, 64-bit CPU. See readme.cuda.
10. 32-bit. Mac OS X 10.6 or higher only.
11. Universal binary. Mac OS X 10.5 or higher only.
12. Should work on all PowerPC Mac OS X versions.
13. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
14. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
OS/2
 [x86]v2.9109.518 2011-03-11  http | ftp 
Linux
15[AMD64/ELF]v2.9111.520 2014-02-22  http | ftp 
 [x86/ELF/uclibc]v2.9111.520 2014-02-22  http | ftp 
16[AMD64/Stream]v2.9110.519 2012-01-27  http | ftp 
17[CellBE]v2.9110.519 2012-01-27  http | ftp 
18[ARM/eabi]v2.9110.519 2012-01-27  http | ftp 
16[x86/Stream]v2.9109.518 2011-03-11  http | ftp 
 [PPC]v2.9109.518 2010-12-17  http | ftp 
19[AMD64/CUDA-3.1]v2.9108.517 2010-11-10  http | ftp 
20[x86/CUDA-2.2]v2.9107.516 2010-06-28  http | ftp 
20[AMD64/CUDA-2.2]v2.9107.516 2010-06-28  http | ftp 
 [Sparc]v2.9107.516 2010-03-13  http | ftp 
21[MIPS/ELF]v2.9107.516 2010-03-13  http | ftp 
 [ARM/ELF]v2.9103.509 2009-02-15  http | ftp 
22[x86/ELF/glibc2.1/MT]v2.9008.491 2004-11-13  http | ftp 
23[Alpha-ev5/ELF]v2.9003.481 2003-06-23  http | ftp 
24[s390x]v2.9001.478 2003-05-25  http | ftp 
25[s390]v2.9003.481 2003-05-05  http | ftp 
26[s390/z390]v2.9003.481 2003-05-05  http | ftp 
 [PARISC 1.1]v2.9002.479 2003-05-04  http | ftp 
 [SH4]v2.9001.478 2003-03-08  http | ftp 
 [MIPS/PlayStation2]v2.9001.478b 2003-03-08  http | ftp 
27[Alpha-ev4/ELF]v2.9002.479 2003-03-08  http | ftp 
15. native 64-bit build for AMD x86-64 or Intel EM64T.
16. Linux AMD/ATI Stream video card accelerated client. RC5-72 only. Stream drivers must be pre-installed.
17. Cell Broadband Engine, PlayStation 3.
18. Requires support for EABI used e.g. by Debian/armel
19. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
20. nVidia CUDA video card accelerated client. RC5-72 only. Matching CUDA driver version must be pre-installed. See readme.cuda
21. minimum CPU of MIPS R6000
22. alternate version for old Linux kernels, like 2.0.x
23. ev5 and newer processors
24. 64 bit Linux for z/Series
25. 31 bit Linux on G5/G6 Hardware
26. 31 bit Linux on z/Architecture (z800, z900).
27. ev4 processors
BSD/OS
 [4.x/x86/ELF]v2.9004.482 2003-05-25  http | ftp 
 [2.x/3.x/4.x/x86/aout]v2.9005.483 2003-05-25  http | ftp 
FreeBSD
28[7.x/x86/ELF]v2.9111.520 2013-07-24  http | ftp 
29[6.x/x86/ELF]v2.9110.519 2012-01-27  http | ftp 
 [8.x/x86]v2.9110.519 2012-01-27  http | ftp 
 [8.x/AMD64]v2.9110.519 2011-07-08  http | ftp 
28[7.x/AMD64]v2.9110.519 2011-07-08  http | ftp 
 [8.x/sparc64]v2.9109.518 2011-03-11  http | ftp 
30[8.x/PPC]v2.9109.518 2010-12-17  http | ftp 
 [6.x/AMD64/ELF]v2.9106.513 2010-03-13  http | ftp 
31[4.x/x86/ELF]v2.9103.509 2009-03-17  http | ftp 
 [Sparc64/ELF]v2.9103.509 2009-03-17  http | ftp 
 [7.x/Sparc64/ELF]v2.9103.509 2009-02-16  http | ftp 
 [5.x/x86/ELF]v2.9013.498 2006-11-26  http | ftp 
32[5.x/AMD64/ELF]v2.9011.496 2006-04-18  http | ftp 
 [Alpha/ELF]v2.9003.481 2003-05-25  http | ftp 
28. only FreeBSD >= 7
29. only FreeBSD >= 6
30. supports Altivec.
31. FreeBSD 4. Also compatible with DragonFly OS.
32. 64-bit. requires FreeBSD 5 CURRENT and AMD AMD64 or Intel EM64T CPU.
NetBSD
33[x86]v2.9109.518 2010-12-17  http | ftp 
34[MIPSEB]v2.9109.518 2010-12-17  http | ftp 
35[ppc]v2.9108.517 2010-11-10  http | ftp 
 [Sparc64/ELF]v2.9108.517 2010-06-28  http | ftp 
 [MIPSEL/ELF]v2.9103.509 2009-03-17  http | ftp 
 [ARM]v2.9103.509 2009-02-16  http | ftp 
 [AMD64/ELF]v2.9103.509 2009-02-15  http | ftp 
 [vax]v2.9008.492 2004-08-17  http | ftp 
 [Alpha/ELF]v2.9003.481 2003-05-25  http | ftp 
 [m68k]v2.9005.483 2003-05-25  http | ftp 
 [Sparc]v2.9001.478 2003-03-08  http | ftp 
 [ARM]v2.9001.478 2002-12-17  http | ftp 
33. Built on NetBSD 4.0
34. built on NetBSD 4.0.1
35. compiled on NetBSD 5.0.2, first NetBSD-PPC client with Altivec support
OpenBSD
 [AMD64/ELF]v2.9110.519 2012-01-27  http | ftp 
36[x86/ELF]v2.9110.519 2012-01-27  http | ftp 
37[SGI]v2.9109.518 2010-12-17  http | ftp 
38[ppc]v2.9108.517 2010-11-10  http | ftp 
 [Sparc64]v2.9108.517 2010-06-28  http | ftp 
 [HPPA]v2.9103.509 2009-02-16  http | ftp 
 [m68k]v2.9005.483 2003-05-25  http | ftp 
 [x86/aout]v2.9005.484 2003-05-25  http | ftp 
 [Sparc/aout]v2.9002.479 2003-03-08  http | ftp 
36. Will run only on OpenBSD >= 4.0
37. OpenBSD 4.3 on SGI.
38. OpenBSD 4.7
Solaris/SunOS
39[7.x/Sparc64]v2.9111.520 2013-07-24  http | ftp 
40[x86]v2.9111.520 2013-07-24  http | ftp 
41[2.6/Sparc]v2.9111.520 2013-07-24  http | ftp 
42[10.x/amd64]v2.9111.520 2013-07-24  http | ftp 
39. For 64-bit hardware on Solaris 7 only. IPv6 support.
40. IPv6 support.
41. requires Solaris 2.6. Runs on both 32 and 64bit hardware. IPv6 support.
42. Solaris 10. IPv6 support.
AmigaOS
 [m68k]v2.9109.518 2011-03-11  http | ftp 
 [PPC/WarpOS]v2.9109.518 2011-03-11  http | ftp 
 [PPC/PowerUp]v2.9109.518 2011-03-11  http | ftp 
 [PPC/OS4]v2.9109.518 2011-03-11  http | ftp 
SGI IRIX
 [6.5/MIPS/64]v2.9009.494 2004-11-12  http | ftp 
 [6.5/MIPS/n32]v2.9009.494 2004-11-12  http | ftp 
VMS
 [Alpha]v2.9007.486b 2003-12-06  http | ftp 
Tru64 UNIX / DEC UNIX / OSF1
43[Alpha/ev4/mt]v2.9009.494 2004-11-13  http | ftp 
44[Alpha/ev4/non-mt]v2.9009.494 2004-11-13  http | ftp 
43. multithreaded
44. static, non-threaded, will work on any alpha with osf-compat
BeOS
 [x86]v2.9106.514 2010-03-13  http | ftp 
45[Haiku/x86]v2.9106.514b 2010-03-13  http | ftp 
45. Haiku OS
 [m68k]v2.9008.490 2004-05-24  http | ftp 
 [x86]v2.9008.490 2004-05-24  http | ftp 
SCO UNIX
 [5.x/x86/ELF]v2.9005.484a 2003-06-23  http | ftp 
QNX
 [Neutrino 2.x/x86]v2.9004.482 2003-05-04  http | ftp 
 [QNX4/x86]v2.9004.482 2003-05-04  http | ftp 
 [Neutrino 2.x/arm]v2.9004.482 2003-05-04  http | ftp 
 [Neutrino 2.x/ppcbe]v2.9001.477 2002-12-03  http | ftp 
AIX
 [4.3/PowerPC]v2.9009.494 2004-11-12  http | ftp 
46[4.3/Power]v2.9008.491 2004-06-19  http | ftp 
46. Only use for original POWER and POWER2 cpu's, new POWER4, POWER4+ POWER5's are PowerPC
HPUX
47[HPPA/mt]v2.9002.479 2003-05-04  http | ftp 
48[HPPA/non-mt]v2.9002.479 2003-05-04  http | ftp 
47. HPUX 10.20, multithreaded
48. HPUX 10.20, non-multithreaded
NetWare Server
49[6.x]v2.9011.496 2005-06-30  http | ftp 
49. requires: Netware 5.1, 6.0, or 6.5 with the latest support pack
Acorn RISC OS
50[ARM]v2.9103.509 2009-02-15  http | ftp 
50. RISC OS >=3.1, includes support for Iyonix
MorphOS
51[PPC]v2.9111.520 2014-02-05  http | ftp 
51. AltiVec cores only activate under MorphOS 2.0


Additional Information


If you don't see a port you are interested in, please check bugzilla for our list of pending client port requests. If you see your platform, follow the link and you can vote for the port. If you didn't find your platform in our pending port list, please fill out a port request through bugzilla. If you think you might be able to help with client porting activities please check out our porting application page.

Backwards compatibility notes

OGR-NG (OGR-27) — Feb 2009
For OGR-27 support you must be running v2.9103.509 client or higher. If you run a personal proxy, you should upgrade to build 347 or higher.
RC5-72 — Dec 2002
For RC5-72 support you must be running v2.9008 client or higher. If you run a personal proxy, you should upgrade to build 330 or higher.
Personal tools
Google+